<?php

namespace App\Modules\ExternalUser\Application;

use App\Modules\ExternalUser\Domain\ExternalUser;
use App\Modules\ExternalUser\Domain\ExternalUserRepository;

class ExternalUserInserter
{
    private ExternalUserRepository $repository;

    public function __construct(ExternalUserRepository $repository)
    {
        $this->repository = $repository;
    }

    public function __invoke(ExternalUser $model)
    {
        return $this->repository->insert($model);
    }
}
